org.apache.uima.cas

## Interface FloatArrayFS

- All Superinterfaces:
    CommonArrayFS, FeatureStructure
  All Known Implementing Classes:
    FloatArray

      public interface FloatArrayFS
      extends CommonArrayFS

  Interface for CAS float arrays. To create a float array object, use `CAS.createFloatArrayFS()`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFromArray(float[] src, int srcOffset, int destOffset, int length)` Copy the contents of an external array into this array.
    `void` | `copyToArray(int srcOffset, float[] dest, int destOffset, int length)` Copy the contents of the array to an external array.
    `float` | `get(int index)` Get the element at position `index`.
    `void` | `set(int index, float value)` Set a given element.
    `float[]` | `toArray()` Create a Java array that is a copy of the internal CAS array.

    - ### Methods inherited from interface org.apache.uima.cas.CommonArrayFS

      `copyFromArray, copyToArray, size, toStringArray`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `clone, equals, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

- - ### Method Detail

    - #### get

          float get(int index)

      Get the element at position `index`.
      Parameters:
        `index` - the index
      Returns:
        The element.
      Throws:
        `ArrayIndexOutOfBoundsException` - If `index` is out of bounds.

    - #### set

          void set(int index,
                   float value)
            throws ArrayIndexOutOfBoundsException

      Set a given element.
      Parameters:
        `index` - The index.
        `value` - The value.
      Throws:
        `ArrayIndexOutOfBoundsException` - If `index` is out of bounds.

    - #### copyToArray

          void copyToArray(int srcOffset,
                           float[] dest,
                           int destOffset,
                           int length)
                    throws ArrayIndexOutOfBoundsException

      Copy the contents of the array to an external array.
      Parameters:
        `srcOffset` - The index of the first element to copy.
        `dest` - The array to copy to.
        `destOffset` - Where to start copying into `dest`.
        `length` - The number of elements to copy.
      Throws:
        `ArrayIndexOutOfBoundsException` - If `srcOffset < 0` or `length > size()` or `destOffset + length > destArray.length`.

    - #### copyFromArray

          void copyFromArray(float[] src,
                             int srcOffset,
                             int destOffset,
                             int length)
                      throws ArrayIndexOutOfBoundsException

      Copy the contents of an external array into this array.
      Parameters:
        `src` - The source array.
        `srcOffset` - Where to start copying in the source array.
        `destOffset` - Where to start copying to in the destination array.
        `length` - The number of elements to copy.
      Throws:
        `ArrayIndexOutOfBoundsException`

    - #### toArray

          float[] toArray()

      Create a Java array that is a copy of the internal CAS array.
      Returns:
        An array copy.

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.